
namespace fbblEntiPubblici
{
    public class Consolato : Estero,IVisto
    {
        private string _Denominazione;
        private string _TipoEnte;
        private bool   _Presidiato;
        private string _Nazione;
        private string _Luogo;
        private string _Nome;
        private string _Cognome;
        private string _Sesso;
        private string _Eta;
        private string _Indirizzo;
        private string _Citta;
        private string _TipoVisto;
        private string _DurataVisto;

        public Consolato(string _Denominazione, string _TipoEnte, bool _Presidiato,
                         string _Nazione, bool _Incorporato, string _Luogo,
                         string _Nome, string _Cognome, string _Sesso, string _Eta,
                         string _Indirizzo, string _Citta, string _TipoVisto, string _DurataVisto
                         )
        {
            NomeEnte = _Denominazione;
            TipoEnte = _TipoEnte;
            Presidiato = _Presidiato;
            Nazione = _Nazione;
            Luogo = _Luogo;
            Nome = _Nome;
            Cognome = _Cognome;
            Sesso = _Sesso;
            Eta = _Eta;
            Indirizzo = _Indirizzo;
            Citta = _Citta;
            TipoVisto = _TipoVisto;
            DurataVisto = _DurataVisto;
        }



        public string Nome
        {
            set
            {
                _Nome = value;
            }

            get
            {
                return this._Nome;
            }
        }

        public string Cognome
        {
            set
            {
                _Cognome = value;
            }

            get
            {
                return this._Cognome;
            }
        }

        public string Sesso
        {
            set
            {
                _Sesso = value;
            }

            get
            {
                return this._Sesso;
            }
        }

        public string Eta
        {
            set
            {
                _Eta = value;
            }

            get
            {
                return this._Eta;
            }
        }

        public string Indirizzo
        {
            set
            {
                _Indirizzo = value;
            }

            get
            {
                return this._Indirizzo;
            }
        }

        public string Citta
        {
            set
            {
                _Citta = value;
            }

            get
            {
                return this._Citta;
            }
        }

        public string TipoVisto
        {
            set
            {
                _TipoVisto = value;
            }

            get
            {
                return this._TipoVisto;
            }
        }

        public string DurataVisto
        {
            set
            {
                _DurataVisto = value;
            }

            get
            {
                return this._DurataVisto;
            }
        }

        override public string NomeEnte
        {
            set
            {
                _Denominazione = value;
            }

            get
            {
                return this._Denominazione;
            }
        }

        override public string TipoEnte
        {
            set
            {
                _TipoEnte = value;
            }

            get
            {
                return this._TipoEnte;
            }
        }

        override public bool Presidiato
        {
            set
            {
                _Presidiato = value;
            }

            get
            {
                return this._Presidiato;
            }
        }

        override public string Nazione
        {
            set
            {
                _Nazione = value;
            }

            get
            {
                return this._Nazione;
            }
        }

        public string Luogo
        {
            set
            {
                _Luogo= value;
            }

            get
            {
                return this._Luogo;
            }
        }
    }
}
